Bug 1202009 - [abrt] bluefish: g_type_check_instance(): bluefish killed by SIGSEGV
Summary: [abrt] bluefish: g_type_check_instance(): bluefish killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bluefish
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2940807dfbebebc5bb82bc27382...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-14 15:17 UTC by Márcio
Modified: 2016-07-19 13:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:02:26 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (29.10 KB, text/plain)
2015-03-14 15:17 UTC, Márcio
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-14 15:17 UTC, Márcio
no flags Details
File: core_backtrace (9.95 KB, text/plain)
2015-03-14 15:17 UTC, Márcio
no flags Details
File: dso_list (11.76 KB, text/plain)
2015-03-14 15:17 UTC, Márcio
no flags Details
File: environ (926 bytes, text/plain)
2015-03-14 15:17 UTC, Márcio
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-14 15:17 UTC, Márcio
no flags Details
File: maps (53.95 KB, text/plain)
2015-03-14 15:17 UTC, Márcio
no flags Details
File: open_fds (1.03 KB, text/plain)
2015-03-14 15:17 UTC, Márcio
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2015-03-14 15:17 UTC, Márcio
no flags Details
File: var_log_messages (18.67 KB, application/octet-stream)
2015-03-14 15:17 UTC, Márcio
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 746341 0 None None None Never

Description Márcio 2015-03-14 15:17:29 UTC
Description of problem:
I opened the bluefish settings window and when i clicked in ok to exit that window, bluefish's main window broke imediattly

Version-Release number of selected component:
bluefish-2.2.7-1.fc22

Additional info:
reporter:       libreport-2.4.0
backtrace_rating: 4
cmdline:        bluefish
crash_function: g_type_check_instance
executable:     /usr/bin/bluefish
kernel:         4.0.0-0.rc1.git0.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 g_type_check_instance at gtype.c:4134
 #1 g_signal_handlers_disconnect_matched at gsignal.c:2858
 #2 gtk_window_unset_transient_for at gtkwindow.c:3099
 #3 gtk_window_set_transient_for at gtkwindow.c:3164
 #4 gtk_tooltip_set_last_window at gtktooltip.c:921
 #5 _gtk_tooltip_handle_event at gtktooltip.c:1560
 #6 gtk_main_do_event at gtkmain.c:1793
 #12 gtk_main at gtkmain.c:1219

Comment 1 Márcio 2015-03-14 15:17:33 UTC
Created attachment 1001653 [details]
File: backtrace

Comment 2 Márcio 2015-03-14 15:17:34 UTC
Created attachment 1001654 [details]
File: cgroup

Comment 3 Márcio 2015-03-14 15:17:36 UTC
Created attachment 1001655 [details]
File: core_backtrace

Comment 4 Márcio 2015-03-14 15:17:38 UTC
Created attachment 1001656 [details]
File: dso_list

Comment 5 Márcio 2015-03-14 15:17:39 UTC
Created attachment 1001657 [details]
File: environ

Comment 6 Márcio 2015-03-14 15:17:40 UTC
Created attachment 1001658 [details]
File: limits

Comment 7 Márcio 2015-03-14 15:17:43 UTC
Created attachment 1001659 [details]
File: maps

Comment 8 Márcio 2015-03-14 15:17:44 UTC
Created attachment 1001660 [details]
File: open_fds

Comment 9 Márcio 2015-03-14 15:17:46 UTC
Created attachment 1001661 [details]
File: proc_pid_status

Comment 10 Márcio 2015-03-14 15:17:48 UTC
Created attachment 1001662 [details]
File: var_log_messages

Comment 11 Paul Howarth 2015-03-17 12:22:20 UTC
Reported upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=746341

Comment 12 Fedora End Of Life 2016-07-19 13:02:26 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.